## ros-kinetic-summit-xl-gazebo 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_xl_gazebo)


find_package(catkin REQUIRED COMPONENTS 
    roscpp
    std_srvs
    std_msgs
    tf
    gazebo_ros
)


###################################
## catkin specific configuration ##
###################################
catkin_package(

)

###########
## Build ##
###########


include_directories(
  ${catkin_INCLUDE_DIRS}
)


#############
## Install ##
#############


install(
  DIRECTORY launch worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-summit-xl-gazebo (1.1.1-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.10-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.9-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 12 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.8-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.7-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.6-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.5-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.4-0xenial) xenial; urgency=high

  * modified dependencies
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.3-0xenial) xenial; urgency=high

  * Removed dependencies
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.2-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-gazebo (1.0.1-0xenial) xenial; urgency=high

  * Some spring cleaning
  * modified CMakeLists.txt and added urls and maintainers to package files
  * minor changes
  * added summit_xl_hls_omni.launch file
  * launch pad from gazebo launch
  * Move base launch created. Still not working
  * Mux added. Old files removed.
  * using summit_xl.urdf.xacro instead of previous standalone, using common pad
  * modified to use summit_xl_standalone.urdf.xacro robot file
  * chnaged summit_xl.gazebo summit_xl_fotonic.gazebo
  * minor changes in gazebo files
  * fixing package dependencies
  * summit_xl_joystick: fixing ptz movement
  * deleting old launch files
  * updating summit_xl.world
  * adding scissor movement
  * summit_xl_description: creating first elements of Summit X robot
  * fixing summit XL omni movement. adding omni plugin for gazebo
  * deleting summit_xl_hq version, default summit_xl will be hq
  * Not anymore multi.
  * First models working on Rviz and Gazebo.
  * Visulization in Gazebo almost done. Chassis origin and STL's corrected.
  * 1.0.0
  * Deleting summit_xl_joint_state. Creating summit_xl_sim metapackage
  * summit_xl_2dnav: updating amcl packages and adding new map of Willow Garage
  * summit_xl_2dnav: Updating config files to work with move base
  * Fixed ptz controller error
  * Allows multiple simulations of summit xl (not omni wheels yet)
  * Added tf_prefix to urdf links
  * Fixed omni movement
  * Fixed more files
  * Updated launch files and gazebo files
  * summit_xl_gazebo. Fixed sintaxis error in summit_xl_multi.launch
  * added first summit_xl_multi.launch
  * initial commit with v305 of svn
  * Contributors: Dani Carbonell, JorgeArino, RobotnikRoman, carlos3dx, dani-carbonell, mcantero, rguzman, trurl
  * added summit_xl_hls_omni.launch file
  * launch pad from gazebo launch
  * Move base launch created. Still not working
  * Mux added. Old files removed.
  * using summit_xl.urdf.xacro instead of previous standalone, using common pad
  * modified to use summit_xl_standalone.urdf.xacro robot file
  * chnaged summit_xl.gazebo summit_xl_fotonic.gazebo
  * minor changes in gazebo files
  * fixing package dependencies
  * summit_xl_joystick: fixing ptz movement
  * deleting old launch files
  * updating summit_xl.world
  * adding scissor movement
  * summit_xl_description: creating first elements of Summit X robot
  * fixing summit XL omni movement. adding omni plugin for gazebo
  * deleting summit_xl_hq version, default summit_xl will be hq
  * Not anymore multi.
  * First models working on Rviz and Gazebo.
  * Visulization in Gazebo almost done. Chassis origin and STL's corrected.
  * 1.0.0
  * Deleting summit_xl_joint_state. Creating summit_xl_sim metapackage
  * summit_xl_2dnav: updating amcl packages and adding new map of Willow Garage
  * summit_xl_2dnav: Updating config files to work with move base
  * Fixed ptz controller error
  * Allows multiple simulations of summit xl (not omni wheels yet)
  * Added tf_prefix to urdf links
  * Fixed omni movement
  * Fixed more files
  * Updated launch files and gazebo files
  * summit_xl_gazebo. Fixed sintaxis error in summit_xl_multi.launch
  * added first summit_xl_multi.launch
  * initial commit with v305 of svn
  * Contributors: Dani Carbonell, JorgeArino, RobotnikRoman, dani-carbonell, rguzman, trurl

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-summit-xl-gazebo
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-ros, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-summit-xl-control, ros-kinetic-summit-xl-description, ros-kinetic-summit-xl-robot-control, ros-kinetic-tf, ros-kinetic-xacro
Homepage: http://ros.org/wiki/summit_xl_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-summit-xl-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-ros, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-summit-xl-control, ros-kinetic-summit-xl-description, ros-kinetic-summit-xl-robot-control, ros-kinetic-tf, ros-kinetic-xacro
Description: Launch files and world files to start the models in gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-summit-xl-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
